{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"This endpoint fetches the version history of a file, allowing you to see the progression of a file over time. You can then use this information to render a specific version of the file, via another endpoint.","properties":{"path":{"type":"object","properties":{"file_key":{"type":"string","description":"File to get version history from. This can be a file key or branch key. Use `GET /v1/files/:key` with the `branch_data` query param to get the branch key."}},"required":["file_key"],"additionalProperties":false},"query":{"type":"object","properties":{"page_size":{"type":"number","maximum":50,"description":"The number of items returned in a page of the response. If not included, `page_size` is `30`."},"before":{"type":"number","description":"A version ID for one of the versions in the history. Gets versions before this ID. Used for paginating. If the response is not paginated, this link returns the same data in the current response."},"after":{"type":"number","description":"A version ID for one of the versions in the history. Gets versions after this ID. Used for paginating. If the response is not paginated, this property is not included."}},"required":[],"additionalProperties":false}},"required":["path"],"additionalProperties":false},"name":"Get versions of a file","id":"figma.getfileversions","example":{"path":{"file_key":"example"}},"maxRequests":1,"summary":false}}